import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormControl } from '@angular/forms';
export class KanbanSearchTagFilterDataComponent {
    constructor() {
        this.tagFilterData = { title: '', excerpt: '' };
        this.anteraFilterOptions = [];
        this.filterByTag = new EventEmitter();
        this.anteraFilterForm = new FormControl();
    }
    ngOnInit() {
        if (this.anteraFilterForm) {
            this.anteraFilterForm.valueChanges.subscribe((values) => {
                if (values) {
                    this.filterByTag.emit(values);
                }
            });
        }
    }
}
KanbanSearchTagFilterDataComponent.decorators = [
    { type: Component, args: [{
                selector: 'antera-lib-kanban-search-tag-filter-data',
                template: "<h2>{{tagFilterData.title}}</h2>\r\n<p>{{tagFilterData.excerpt}}</p>\r\n<!-- <form formGroup=\"anteraFilterForm\">\r\n<mat-form-field id=\"advanced-tag-filter\" appearance=\"fill\">\r\n    <mat-label>Find A Tag</mat-label>\r\n\r\n    <mat-select [formControl]=\"anteraFilterForm\" multiple>\r\n\r\n        <mat-select-trigger>\r\n\r\n            {{anteraFilterForm.value ? anteraFilterForm.value[0] : ''}}\r\n\r\n            <span *ngIf=\"anteraFilterForm.value?.length > 1\" class=\"\">\r\n\r\n                (+{{anteraFilterForm.value.length - 1}} {{anteraFilterForm.value?.length === 2 ? 'other' : 'others'}})\r\n\r\n            </span>\r\n\r\n        </mat-select-trigger>\r\n\r\n        <mat-option *ngFor=\"let option of anteraFilterOptions\" [value]=\"option\">{{option}}</mat-option>\r\n    </mat-select>\r\n</mat-form-field>\r\n</form> -->\r\n\r\n<!-- anteraFilterOptions {{anteraFilterOptions | json}} -->\r\n\r\n<!-- <div [formGroup]=\"myGroup\">\r\n    <div formGroupName=\"person\">\r\n       <input formControlName=\"firstName\">\r\n    </div>\r\n </div> -->\r\n\r\n <!-- <mat-form-field appearance=\"fill\">\r\n    <mat-label>Change label</mat-label>\r\n    <mat-select [formControl]=\"anteraFilterForm\" multiple> -->\r\n      <!-- <mat-option *ngFor=\"let option of anteraFilterOptions\" [value]=\"option\">{{option}}</mat-option> -->\r\n      <!-- <mat-option *ngFor=\"let option of anteraFilterOptions\">{{option}}</mat-option>\r\n    </mat-select>\r\n  </mat-form-field> -->\r\n\r\n  <!-- <mat-label>Find A Tag</mat-label> -->\r\n  <h2>Tags</h2>\r\n  <mat-form-field appearance=\"fill\" class=\"full-width\">\r\n    <mat-label>Find A Tag</mat-label>\r\n    <mat-select [formControl]=\"anteraFilterForm\" multiple>\r\n      <mat-option *ngFor=\"let option of anteraFilterOptions\" [value]=\"option.key\">{{option.key}}</mat-option>\r\n    </mat-select>\r\n  </mat-form-field>\r\n",
                styles: [".full-width{min-width:100%}"]
            },] }
];
KanbanSearchTagFilterDataComponent.ctorParameters = () => [];
KanbanSearchTagFilterDataComponent.propDecorators = {
    tagFilterData: [{ type: Input }],
    anteraFilterOptions: [{ type: Input }],
    filterByTag: [{ type: Output }]
};
//# sourceMappingURL=kanban-search-tag-filter-data.component.js.map