import { EventEmitter, OnInit } from '@angular/core';
import { ActionI, KeyValue } from '../../models/common';
export declare class KanbanActionsBarComponent implements OnInit {
    constructor();
    display: boolean;
    actionsList: ActionI[];
    selectedCount: number;
    onActionsEventFired: EventEmitter<any>;
    ngOnInit(): void;
    /**
     * On selection of action, fire event with action nam.
     *
     * @param {string} actionType
     * @returns {void}
     */
    onActionSelected(actionType: KeyValue): void;
}
//# sourceMappingURL=kanban-actions-bar.component.d.ts.map