import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
export declare class KanbanConfirmationModalComponent implements OnInit {
    dialogRef: MatDialogRef<KanbanConfirmationModalComponent>;
    data: any;
    constructor(dialogRef: MatDialogRef<KanbanConfirmationModalComponent>, data: any);
    title: string;
    message: string;
    submitBtn: string;
    cancelBtn: string;
    titleCss: string;
    messageCss: string;
    submitBtnCss: string;
    cancelBtnCss: string;
    ngOnInit(): void;
    /**
     * Sets the values of the page.
     *
     * @returns {void}
     */
    setPageValues(): void;
    /**
     * Closes the dialog.
     *
     * @returns {void}
     */
    close(): void;
    /**
     * Submit clicked.
     *
     * @returns {void}
     */
    submitClicked(): void;
}
//# sourceMappingURL=kanban-confirmation-modal.component.d.ts.map