import { EventEmitter, OnInit } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox/checkbox';
import { MatSort, Sort } from '@angular/material/sort';
import { LeadsListMapperI } from '../../models/leads-list/leads-list';
export declare class KanbanLeadsListViewComponent implements OnInit {
    sort: MatSort;
    listDataSource: any[];
    displayedColumns: string[];
    pageSizeOptions: number[];
    tableLength: number;
    page: string;
    displayActionsBar: boolean;
    dateFormatString: string;
    timeFormatString: string;
    mappingFields: any[];
    paginationList: any[];
    selectClicked: EventEmitter<any>;
    onColumnClick: EventEmitter<any>;
    onPaginateFire: EventEmitter<any>;
    onSortFired: EventEmitter<any>;
    dataSource: any;
    selectAll: boolean;
    pageSize: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    appendColumns(): void;
    toggleAll(selectType: string, checkbox?: MatCheckbox, selectedRow?: LeadsListMapperI): void;
    onColumnClicked(element: LeadsListMapperI, columnName: string): void;
    paginate(event: any): void;
    onListViewSort(event: Sort): void;
    getDateFormat(date: any, includeTime?: boolean, excludeTime?: boolean, convert?: boolean): string;
}
//# sourceMappingURL=kanban-leads-list-view.component.d.ts.map