import { EventEmitter, OnInit } from '@angular/core';
import { KanbanViewCardI, KanbanViewListI } from '../../models/kanban-view/kanban-leads-view';
import { MatDialog } from '@angular/material/dialog';
import { MatCheckbox } from '@angular/material/checkbox';
export declare class KanbanLeadsViewContainerComponent implements OnInit {
    private dialog;
    swimLaneList: KanbanViewListI[];
    statusList: any[];
    onDropJob: EventEmitter<any>;
    editCard: EventEmitter<any>;
    selectClicked: EventEmitter<any>;
    onPin: EventEmitter<any>;
    onSwimLaneChange: EventEmitter<any>;
    onDeleteSwimLane: EventEmitter<any>;
    onEditLead: EventEmitter<any>;
    dateFormatString: string;
    timeFormatString: string;
    colorWarn: string;
    modeWarn: string;
    valueWarn: number;
    bufferValueWarn: number;
    color: string;
    mode: string;
    value: number;
    bufferValue: number;
    defaultImg: string;
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    drop(event: any, swimLane: KanbanViewListI): void;
    editCardDetails(lead: any): void;
    cardValueChange(card: KanbanViewCardI, swimLaneIndex: number, cardIndex: number): void;
    pinned(cardDetails: any): void;
    openSwimLaneDialog(panel?: KanbanViewListI): void;
    deleteSwimLane(swimlane?: KanbanViewListI): void;
    onToggleAll(event: MatCheckbox, swimLaneIndex: number): void;
}
//# sourceMappingURL=kanban-leads-view-container.component.d.ts.map