import { EventEmitter, OnInit } from '@angular/core';
import { ProductsListMapperI } from '../../models/products-list/products-list';
import { Sort } from '@angular/material/sort';
import { MatCheckbox } from '@angular/material/checkbox';
import { Router } from '@angular/router';
export declare class KanbanProductThumbnailViewComponent implements OnInit {
    private router;
    products: any[];
    pageSizeOptions: number[];
    totalCount: number;
    page: string;
    selectClicked: EventEmitter<any>;
    onColumnClick: EventEmitter<any>;
    onPaginateFire: EventEmitter<any>;
    onSortFired: EventEmitter<any>;
    onAutoUpdateToggled: EventEmitter<any>;
    onGoto: EventEmitter<any>;
    selectAll: boolean;
    pageSize: number;
    constructor(router: Router);
    ngOnInit(): void;
    paginate(event: any): void;
    onColumnClicked(element: ProductsListMapperI, columnName: string): void;
    toggleAll(event: any, selectType: string, checkbox?: MatCheckbox, selectedRow?: ProductsListMapperI): void;
    onListViewSort(event: Sort): void;
    goto(productId: number): void;
    autoUpdateToggled(ev: any, product: any): void;
}
//# sourceMappingURL=kanban-product-thumbnail-view.component.d.ts.map