import { EventEmitter, OnInit } from '@angular/core';
import { AdvancedSearchContainerData, AdvancedSearchFormData, KeyValue } from '../../models/common';
import { KanbanSearchAdvancedFormComponent } from '../kanban-search-advanced-form/kanban-search-advanced-form.component';
import { KanbanSearchTagFilterDataComponent } from '../kanban-search-tag-filter-data/kanban-search-tag-filter-data.component';
export declare class KanbanSearchAdvancedComponent implements OnInit {
    advancedSearchFormData: AdvancedSearchFormData;
    anteraFilterOptions: KeyValue[];
    advancedSearchContainerData: AdvancedSearchContainerData;
    page: string;
    advancedSearchSavedValues: EventEmitter<any>;
    tagForm: KanbanSearchTagFilterDataComponent;
    filterForm: KanbanSearchAdvancedFormComponent;
    autoComplete: EventEmitter<any>;
    showProductDeleted: number;
    reSynceNeeded: boolean;
    ontToggleResyncQBO: EventEmitter<any>;
    onToggleAccountType: EventEmitter<any>;
    qboActive: boolean;
    mappingFields: any[];
    constructor();
    ngOnInit(): void;
    /**
     * Emits the values of the advanced search form.
     *
     * @returns {void}
     */
    saveAdvancedSearch(): void;
    inputValueChange(event: any): void;
    toggleResyncQBO(event: any): void;
    changeAccType(event: any): void;
}
//# sourceMappingURL=kanban-search-advanced.component.d.ts.map