import { EventEmitter } from '@angular/core';
import { KanbanViewCardI } from '../../models/kanban-view/kanban-viewI';
import { MatCheckbox } from '@angular/material/checkbox';
export declare class KanbanViewCardComponent {
    dateFormatString: string;
    timeFormatString: string;
    onCardDetailsChange: EventEmitter<any>;
    onAssignArtwork: EventEmitter<any>;
    onDeleteArtwork: EventEmitter<any>;
    onEditArtwork: EventEmitter<any>;
    pinned: EventEmitter<any>;
    onOpenRelatedOrderDetailDialog: EventEmitter<any>;
    isOverdue: boolean;
    dueColor: string;
    dueFontColor: string;
    constructor();
    cardDetails: KanbanViewCardI;
    orderNumbers: string;
    ngOnInit(): void;
    /**
     * Emits event on check box select.
     *
     * @returns {void}
     */
    onCheckBoxSelected(event: MatCheckbox): void;
    assignArtwork(artwork: any): void;
    deleteArtwork(artwork: any): void;
    editArtwork(artwork: any): void;
    onPin(ev: any): void;
    getDateFormat(date: any, includeTime?: boolean, excludeTime?: boolean, convert?: boolean): string;
    openRelatedOrderDetailDialog(orderId: string, cardDetails: any): void;
}
//# sourceMappingURL=kanban-view-card.component.d.ts.map