import { EventEmitter, OnInit } from '@angular/core';
import { KanbanViewCardI, KanbanViewListI } from '../../models/kanban-view/kanban-order-viewI';
import { MatDialog } from '@angular/material/dialog';
import { MatCheckbox } from '@angular/material/checkbox';
export declare class OrdersKanbanViewContainerComponent implements OnInit {
    private dialog;
    swimLaneList: KanbanViewListI[];
    equipments: any[];
    updateOrderStatus: EventEmitter<any>;
    onSwimLaneChange: EventEmitter<any>;
    onDeleteSwimLane: EventEmitter<any>;
    selectClicked: EventEmitter<any>;
    dateFormatString: string;
    timeFormatString: string;
    colorWarn: string;
    modeWarn: string;
    valueWarn: number;
    bufferValueWarn: number;
    color: string;
    mode: string;
    value: number;
    bufferValue: number;
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    drop(event: any, swimLane: KanbanViewListI): void;
    openSwimLaneDialog(panel?: KanbanViewListI): void;
    cardValueChange(card: KanbanViewCardI, swimLaneIndex: number, cardIndex: number): void;
    deleteSwimLane(swimlane?: KanbanViewListI): void;
    onToggleAll(event: MatCheckbox, swimLaneIndex: number): void;
}
//# sourceMappingURL=orders-kanban-view-container.component.d.ts.map