import { EventEmitter, OnInit } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox';
import { MatDialog } from '@angular/material/dialog';
import { KanbanViewCardI, KanbanViewListI } from '../../models/kanban-view/kanban-viewI';
export declare class QuoteViewContainerComponent implements OnInit {
    private dialog;
    swimLaneList: KanbanViewListI[];
    dateFormatString: string;
    timeFormatString: string;
    onSwimLaneChange: EventEmitter<any>;
    onDeleteSwimLane: EventEmitter<any>;
    selectClicked: EventEmitter<any>;
    onDrop: EventEmitter<any>;
    onEditQuote: EventEmitter<any>;
    updateQuoteStatus: EventEmitter<any>;
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    openSwimLaneDialog(panel?: KanbanViewListI): void;
    /**
     * Deletes swimlane which is selected.
     *
     * @returns {void}
     */
    deleteSwimLane(swimLane: any): void;
    cardValueChange(card: KanbanViewCardI, swimLaneIndex: number, cardIndex: number): void;
    onToggleAll(event: MatCheckbox, swimLaneIndex: number): void;
    drop(event: any, swimLane: KanbanViewListI): void;
    editCardDetails(quote: any): void;
}
//# sourceMappingURL=quote-view-container.component.d.ts.map