import { KeyValueI } from '../common';
export interface OrderListMapperI {
    select?: boolean;
    favorite?: boolean;
    img?: boolean;
    orderNumber: string;
    identity: string;
    contact: string;
    salesRep: string;
    account: string;
    type: string;
    date: string;
    bookedDate: string;
    status: string;
    payment: string;
    total: string;
    corporateIdentity: string;
    projectName: string;
    orderDate: string;
    customerPo: string;
    csrName: string;
    creditTerms: string;
    productionManager: string;
    shipVia: string;
    inRushOrder: string;
    customerShipDate: string;
    billComplete: string;
    customerInHandsDate: string;
    tasksTotal: number;
    tasksDone: number;
    comments: number;
    id: string;
    orderNoWithPrefix: string;
    altNumber: string;
    dueDate: string;
    isPromoItem: string;
}
export declare const OrderTableColumNameMapper: KeyValueI[];
export declare const QuotesTableColumNameMapper: KeyValueI[];
export declare const AccountsMapper: KeyValueI[];
export declare const ArtworkMapper: KeyValueI[];
export declare const ProductsMapper: KeyValueI[];
export declare const ProductionMapper: KeyValueI[];
export declare const LeadsMapper: KeyValueI[];
export declare const OpportunitiesMapper: KeyValueI[];
export declare const ContactsMapper: KeyValueI[];
//# sourceMappingURL=order-list.d.ts.map