export interface KeyValueI {
    id?: number;
    key: string;
    value: string;
    optionalValue?: any;
}
export declare class KeyValue implements KeyValueI {
    id?: number;
    key: string;
    value: string;
    optionalValue?: any;
    constructor(keyText: string, valueText: string, optionalValue?: any, id?: number);
}
export interface Filters {
    id?: number;
    name: string;
    hint: string;
    value?: string;
    radioValues?: Array<String>;
    dropDown?: Array<String>;
    type?: string;
    disabled?: boolean;
    multiple?: boolean;
}
export interface AdvancedSearchFormData {
    title: string;
    description: string;
    filters: Array<Filters>;
}
export declare class AdvancedSearchContainerData {
    advancedSearchContainer: any;
    titleAdvancedSearch: string;
    excerptAdvancedSearch: string;
}
export interface ActionI {
    key: string;
    value: string;
    disabled: boolean;
    icon: string;
}
export declare class Action implements ActionI {
    key: string;
    value: string;
    disabled: boolean;
    icon: string;
    constructor(res: any);
}
//# sourceMappingURL=common.d.ts.map