import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
export declare class KanbanAddEditSwimLaneComponent implements OnInit {
    private fb;
    dialogRef: MatDialogRef<KanbanAddEditSwimLaneComponent>;
    data: any;
    constructor(fb: FormBuilder, dialogRef: MatDialogRef<KanbanAddEditSwimLaneComponent>, data: any);
    editFlag: boolean;
    positionList: any[];
    hoursList: {
        label: string;
        value: number;
    }[];
    swimLaneForm: import("@angular/forms").FormGroup;
    ngOnInit(): void;
    /**
     * Sets the form values that already exist.
     *
     * @returns {void}
     */
    setFormValues(): void;
    /**
     * Saves the form and closes the dialog.
     *
     * @returns {void}
     */
    onSave(): void;
    /**
     * Closes the dialog on click of cancel.
     *
     * @returns {void}
     */
    onClose(): void;
}
//# sourceMappingURL=kanban-add-edit-swimlane.component.d.ts.map