import { OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
export declare class KanbanAddSavedSearchModalComponent implements OnInit {
    dialogRef: MatDialogRef<KanbanAddSavedSearchModalComponent>;
    savedSearchName: FormControl;
    isShare: FormControl;
    isTab: FormControl;
    constructor(dialogRef: MatDialogRef<KanbanAddSavedSearchModalComponent>);
    ngOnInit(): void;
    /**
     * Closes the dialog
     *
     * @returns {void}
     */
    onClose(): void;
    /**
     * On Save, emit the saved search name.
     *
     * @returns {void}
     */
    onSave(): void;
}
//# sourceMappingURL=kanban-add-saved-search-modal.component.d.ts.map