import { OnInit, EventEmitter } from '@angular/core';
import { KanbanViewCardI } from '../../models/kanban-view/kanban-production-viewI';
import { MatCheckbox } from '@angular/material/checkbox';
export declare class KanbanProductionViewCardComponent implements OnInit {
    onCardDetailsChange: EventEmitter<any>;
    pinned: EventEmitter<any>;
    isOverdue: boolean;
    dueColor: string;
    defaultImg: string;
    bgImageColor: string;
    bgContentColor: string;
    dateFormatString: string;
    timeFormatString: string;
    cardToShow: KanbanViewCardI;
    cardDetails: KanbanViewCardI;
    dueFontColor: string;
    constructor();
    ngOnInit(): void;
    onPin(ev: any): void;
    onCheckBoxSelected(event: MatCheckbox): void;
    getDateFormat(date: any, includeTime?: boolean, excludeTime?: boolean, convert?: boolean): string;
}
//# sourceMappingURL=kanban-production-view-card.component.d.ts.map