import { EventEmitter, OnInit } from '@angular/core';
import { MatCheckbox } from '@angular/material/checkbox';
import { MatSort, Sort } from '@angular/material/sort';
import { KeyValueI } from '../../models/common';
import { ProductsListMapperI } from '../../models/products-list/products-list';
export declare class KanbanProductsListComponent implements OnInit {
    sort: MatSort;
    listDataSource: any[];
    displayedColumns: string[];
    pageSizeOptions: number[];
    tableLength: number;
    page: string;
    displayActionsBar: boolean;
    dateFormatString: string;
    timeFormatString: string;
    mappingFields: any[];
    selectClicked: EventEmitter<any>;
    onFavoriteToggle: EventEmitter<any>;
    onColumnClick: EventEmitter<any>;
    onPaginateFire: EventEmitter<any>;
    onSortFired: EventEmitter<any>;
    totalColumnDropdownList: KeyValueI[];
    dataSource: any;
    selectAll: boolean;
    pageSize: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    paginate(event: any): void;
    onColumnClicked(element: ProductsListMapperI, columnName: string): void;
    toggleAll(selectType: string, checkbox?: MatCheckbox, selectedRow?: ProductsListMapperI): void;
    onListViewSort(event: Sort): void;
    getDateFormat(date: any, includeTime?: boolean, excludeTime?: boolean, convert?: boolean): string;
    processImageFromImaginary(imageUrl: any): any;
}
//# sourceMappingURL=kanban-products-list.component.d.ts.map