import { EventEmitter, OnInit } from '@angular/core';
import { SearchCardI } from '../../models/list-view/kanbanList';
export declare class KanbanSavedSearchBarComponent implements OnInit {
    savedSearchList: SearchCardI[];
    onSavedSearchSelect: EventEmitter<any>;
    fetchNextKanbanData: EventEmitter<any>;
    displayView: string;
    fetchLastKanbanData: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    /**
     * Emits event on selection of card.
     *
     * @param {SearchCardI} card
     * @returns {void}
     */
    onSelect(card: SearchCardI): void;
    /**
     * Returns list from index 10 and beyond.
     *
     * @param {SearchCardI[]} searchList
     * @returns {SearchCardI[]}
     */
    getRemainingList(searchList: SearchCardI[]): SearchCardI[];
    fetchNextData(): void;
    fetchLastData(): void;
}
//# sourceMappingURL=kanban-saved-search-bar.component.d.ts.map